True that DPP4 does not work with 5DII files?

Started 2 months ago | Discussions thread
PhotoKhan
Veteran MemberPosts: 7,901Gear list
Like?
The probable reason...
In reply to maiaibing, 2 months ago

...Why DPP 4.0 does not support more ancient CR2 files at launch has, maybe, more to do with the future than with the past.

New sensors from Canon are about to emerge. A recent call on CR points for this to be possible has early as the soon-to-be-released 7DII.

Every new interaction of the CR2 files are not exactly the same as the previous one, as proven by the need of new ACR releases by Adobe for each launch.

So, full backward full compatibility for DPP 4.0 would mobilize programing resources that may have been used to make it compatible with new coming sensors.

It might be more significant what actually already is in DPP4.0 without us being told so than what isn't, in spite of the poor communication.

In any case, for those of us with older cameras, it is just not logic to expect that Canon will be dropping support for older CR2 files in their own new software. It just does not make sense.

As for referral of those older cameras to a 3.14 update, I am sure it is only a stop gap.

PK

-- hide signature --

“Loose praise may feed my ego but constructive criticism advances my skills”
************************************************************
-------------------------------------------------
http://www.pbase.com/photokhan
(PBase Supporter)
-------------------------------------------------

Reply   Reply with quote   Complain
Post (hide subjects)Posted by
Keyboard shortcuts:
FForum PPrevious NNext WNext unread UUpvote SSubscribe RReply QQuote BBookmark post MMy threads
Color scheme? Blue / Yellow